Download it now!
Bug 83062 - Cannot open ODG file created on 3.x.x
Summary: Cannot open ODG file created on 3.x.x
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.4.0 target:4.3.2 target:4.2.7
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-08-25 13:47 UTC by Rui Santos
Modified: 2016-04-24 16:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ODG File that wont open (14.27 KB, application/vnd.oasis.opendocument.graphics)
2014-08-25 13:47 UTC, Rui Santos
Details
gdb log (119.18 KB, application/gzip)
2014-08-25 17:43 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rui Santos 2014-08-25 13:47:12 UTC
Created attachment 105239 [details]
ODG File that wont open

I'm unable to open an odg file created on 3.x version. LibreOffice just crashes after the percentage bar (open) fills (100%?).

I'm aware of other similar problems/bus reports regarding this matter but, I found few correlations with them.
I hope you guys could solve this problem.

I'm using:
- openSUSE 13.1 Tumbleweed x86_64.
- LibreOffice 4.1.6.2 BuildID 410m0 (Build:2)
- I'm unsure at what version the file was created on

I also attach the specific odg file.


If you need any other info, do not hesitate to ask.

Regards,
Rui Santos
Comment 1 raal 2014-08-25 17:37:22 UTC
Thank you for submitting the bug. I can confirm that the bug is present in master.
Version: 4.4.0.0.alpha0+
Build ID: 30ae83c268125383866d47a7ee3e4a5dfcf59f71
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-08-23_22:03:46

I can open file with LO 3.5, regression.
Comment 2 raal 2014-08-25 17:43:57 UTC
Created attachment 105246 [details]
gdb log
Comment 3 Caolán McNamara 2014-08-27 15:32:08 UTC
regression from

commit 7c03fc2fe77f9b1f910f4ab395923e52648c32b5
Author: Armin Le Grand <alg@apache.org>
Date:   Mon Sep 2 14:30:09 2013 +0000

    Related: #i123048# Corrected connector layout after reload
    
    (cherry picked from commit c7d96eed93415894c5ca4522bd32ca06acd88233)
Comment 4 Commit Notification 2014-08-27 15:43:34 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d8e8942b2ee2a2e85c65d71628057316c9f5897

Resolves: fdo#83062 infinite recursion



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-08-27 16:21:08 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a960cfc28bc37f7a22b6cb43511be2c64fd31b19&h=libreoffice-4-3

Resolves: fdo#83062 infinite recursion


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-08-28 09:54:52 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=111c7d6773f7cae554d0f235eef00d774309525a&h=libreoffice-4-2

Resolves: fdo#83062 infinite recursion


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2016-04-24 16:42:48 UTC
Version set from description.

Best regards. JBF